IF NOT EXISTS (SELECT 1 FROM SYSCOLUMNS WHERE ID = OBJECT_ID('EST_TRIB') AND name = 'ORIGEM_PRODUTO')
begin
	ALTER TABLE EST_TRIB ADD ORIGEM_PRODUTO INT
	ALTER TABLE EST_TRIB ADD CONSTRAINT DF_EST_TRIB_ORIGEM_PRODUTO DEFAULT 0 FOR ORIGEM_PRODUTO 
end
GO
UPDATE EST_TRIB SET ORIGEM_PRODUTO = LEFT(CD_TRIB_FC,1) WHERE TIPO_REGIME_EMPRESA = 0 AND ISNULL(ORIGEM_PRODUTO,0) = 0

UPDATE EST_TRIB SET ORIGEM_PRODUTO = 0					WHERE TIPO_REGIME_EMPRESA = 1 AND ISNULL(ORIGEM_PRODUTO,0) = 0


 
